# class Tk::Tcllib::Plotchart::RightAxis

### Constants

TkCommandNames

### Public Class Methods

new(*args) click to toggle source
Calls superclass method TkWindow.new

    # File lib/tkextlib/tcllib/plotchart.rb, line 1138
    def initialize(*args) # args := ([parent,] yaxis [, keys])
                          # yaxis := Array of [minimum, maximum, stepsize]
      if args[0].kind_of?(Array)
        @yaxis   = args.shift

        super(*args) # create canvas widget
      else
        parent = args.shift

        @yaxis   = args.shift

        if parent.kind_of?(Tk::Canvas)
          @path = parent.path
        else
          super(parent, *args) # create canvas widget
        end
      end

      @chart = _create_chart
    end

### Public Instance Methods

__destroy_hook__() click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 1166
    def __destroy_hook__
      Tk::Tcllib::Plotchart::PlotSeries::SeriesID_TBL.mutex.synchronize{
        Tk::Tcllib::Plotchart::PlotSeries::SeriesID_TBL.delete(@path)
      }
    end

### Private Instance Methods

_create_chart() click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 1159
    def _create_chart
      p self.class::TkCommandNames[1] if $DEBUG
      tk_call_without_enc(self.class::TkCommandNames[1], @path,
                          array2tk_list(@yaxis))
    end